Bug 323717 - Creating a new category for a contact creates a duplicate entry when re-editing contact categories
Summary: Creating a new category for a contact creates a duplicate entry when re-editi...
Status: RESOLVED FIXED
Alias: None
Product: kaddressbook
Classification: Unclassified
Component: general (show other bugs)
Version: 4.11
Platform: Kubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-19 12:49 UTC by Ioannis Ramfos
Modified: 2013-09-04 07:53 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.2


Attachments
Tag list when re-editing categories, with duplicate entries shown (169.07 KB, image/png)
2013-08-19 12:51 UTC, Ioannis Ramfos
Details
Contact categories when accepting tag list with duplicate entries (153.43 KB, image/png)
2013-08-19 12:52 UTC, Ioannis Ramfos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ioannis Ramfos 2013-08-19 12:49:51 UTC
When creating a new contact and a new category is created and assigned to this contact, everything works as expected when the data entry is complete ("OK" pressed in the "Add tags" window and the "New Contact" window).
However, when editing the contact, upon reentry in the categories list (pressing the "..." button), the assigned tag is recreated and assigned two times. If "Cancel" is pressed, the contact is not changed as expected. 
If "OK" is pressed in the "Add tags" window with both identical tags selected, the tags are duplicated in the contact entry as well (and in the vcf file). 
If "Nepomuk Cleaner" is executed before or after the editing of the contact, the duplicate entry is removed and is not recreated upon further re-edits of tags.

The same bug occurs when adding more than one tags.

Reproducible: Always

Steps to Reproduce:
1. Create a new contact
2. Add a new Category (tag) for the contact
3. Confirm the entry by pressing "OK"
4. Re-edit the contact and press the "..." button to update the categories

Actual Results:  
The assigend category is duplicated and both tag instances are selected 
If OK is pressed and the contact is saved, the tags will remain duplicated for the contact.

Expected Results:  
The assigned category appears only once.

This bug did not occur in 4.10.5 and possibly previous 4.10.x versions.
Comment 1 Ioannis Ramfos 2013-08-19 12:51:35 UTC
Created attachment 81784 [details]
Tag list when re-editing categories, with duplicate entries shown
Comment 2 Ioannis Ramfos 2013-08-19 12:52:34 UTC
Created attachment 81785 [details]
Contact categories when accepting tag list with duplicate entries
Comment 3 Laurent Montel 2013-09-04 07:26:47 UTC
I confirm it.
Comment 4 Laurent Montel 2013-09-04 07:53:45 UTC
Git commit 25d91d5d1612723d7feb306b4c13137e32c975d9 by Montel Laurent.
Committed on 04/09/2013 at 07:53.
Pushed by mlaurent into branch 'KDE/4.11'.

Fix Bug 323717 - Creating a new category for a contact creates a duplicate entry when re-editing contact categories

FIXED-IN: 4.11.2

M  +10   -3    akonadi/contact/editor/kedittagsdialog.cpp
M  +4    -0    akonadi/contact/editor/kedittagsdialog_p.h

http://commits.kde.org/kdepimlibs/25d91d5d1612723d7feb306b4c13137e32c975d9